pld-builder.new: client/send-last-th-tag.sh - autotag build provider by -a ...
glen
glen at pld-linux.org
Mon Jun 25 08:19:32 CEST 2012
Author: glen Date: Mon Jun 25 06:19:32 2012 GMT
Module: pld-builder.new Tag: HEAD
---- Log message:
- autotag build provider by -a option
---- Files affected:
pld-builder.new/client:
send-last-th-tag.sh (1.1 -> 1.2)
---- Diffs:
================================================================
Index: pld-builder.new/client/send-last-th-tag.sh
diff -u pld-builder.new/client/send-last-th-tag.sh:1.1 pld-builder.new/client/send-last-th-tag.sh:1.2
--- pld-builder.new/client/send-last-th-tag.sh:1.1 Fri Mar 30 17:09:25 2012
+++ pld-builder.new/client/send-last-th-tag.sh Mon Jun 25 08:19:27 2012
@@ -1,35 +1,6 @@
#!/bin/sh
-arg="$@"
+set -e
-specs=""
-opt=""
-
-for i in $arg; do
- case "$i" in
- *.spec)
- specs="$specs $1"
- shift
- ;;
- *)
- opt="$opt $i"
- shift
- ;;
- esac
-done
-
-for i in $specs; do
- dir=$(dirname $i)
- pkg=$(basename $i)
- cd $dir || exit 1
- specfile="$pkg"
- tag=$(cvs status -v $specfile |grep "th-" | head -n 1 | awk ' { print $1 } ')
- if [ -z "$tag" ]; then
- echo "Th tag not found for $specfile."
- continue
- fi
- echo "Rebuilding $i from tag $tag..."
- set -x
- make-request.sh -d th $opt $pkg:$tag
- set +x
-done
+dist=th
+./make-request.sh -d $dist -r -a "$@"
================================================================
---- CVS-web:
http://cvs.pld-linux.org/pld-builder.new/client/send-last-th-tag.sh?r1=1.1&r2=1.2
More information about the pld-cvs-commit
mailing list